.pagination {
  display: flex;
  width: 270px;
  height: 60px;
  justify-content: space-between;
  align-items: center;
  padding: 0;
  margin: 0 auto;
  list-style: none;

  &__button {
    background: transparent;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    width: 60px;
    height: 60px;
    cursor: pointer;
    border: none;
    &_next {
      background-image: url('@/components/pagination/img/next.png');
    }
    &_previous {
      background-image: url('@/components/pagination/img/previous.png');
    }
  }
  &__item {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 10px;
    height: 10px;
    background-color: #fff;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    display: block;

    &_current {
      background-color: $input-color;
      cursor: auto;
    }
  }
  &__list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 120px;

    & li:not(:last-child) {
      margin-right: 45px;
    }
  }
  &_preview {
    width: 74px;
    height: 20px;
  }
  &_preview &__button {
    width: 20px;
    height: 20px;
  }
  &_preview &__list {
    & li:not(:last-child) {
      margin-right: 12px;
    }
    width: 20px;
  }
  &_preview &__item {
    width: 4px;
    height: 4px;
  }
}
